Results 1 to 3 of 3

Thread: Getting error with mongod (2.8) "error while loading shared libraries: libssl.so.10: cannot open..."

  1. #1

    Default Getting error with mongod (2.8) "error while loading shared libraries: libssl.so.10: cannot open..."

    When I run mongod (from version 2.8), I get the error:
    Code:
    
    mongod: error while loading shared libraries: libssl.so.10: cannot open shared object file:No such file or directory
    
    
    I tried fixing this by running:

    Code:
    sudo ln -s /lib/libcrypto.so.1.0.0/usr/lib/libcrypto.so.10
    sudo ln -s /lib/libssl.so.1.0.0/usr/lib/libssl.so.10
    And also:
    Code:
    
    sudo ln -s /lib/libcrypto.so.1.0.0/lib/libcrypto.so.10
    sudo ln -s /lib/libssl.so.1.0.0/lib/libssl.so.10
    But it doesn't work, I get the same error.

    If I instead do:

    Code:
    
    sudo ln -s /lib/libssl.so.1.0.0/lib64/libssl.so.10
    
    
    I get the error:
    Code:
    
    mongod: error while loading shared libraries: libssl.so.10: wrong ELF class: ELFCLASS32
    Does anyone know how to fix this?

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,016

    Default AW: Getting error with mongod (2.8) "error while loading shared libraries: libssl.so.10: cannot open

    Please post:
    Code:
    zypper se -si libssl libcrypto mongo
    Code:
    zypper lr -uP

  3. #3

    Default Re: Getting error with mongod (2.8) "error while loading shared libraries: libssl.so.10: cannot open

    It needed the 64bit versions.

    Code:
    sudo ln -s /lib64/libcrypto.so.1.0.0 /lib64/libcrypto.so.10
    sudo ln -s /lib64/libssl.so.1.0.0 /lib64/libssl.so.10

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •